---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: stamp-verification
  namespace: documentations
  labels:
    app: stamp-verification
spec:
  progressDeadlineSeconds: 600
  replicas: 1
  revisionHistoryLimit: 10
  selector:
    matchLabels:
      app: stamp-verification
  strategy:
    rollingUpdate:
      maxSurge: 25%
      maxUnavailable: 25%
    type: RollingUpdate
  template:
    metadata:
      labels:
        app: stamp-verification
    spec:
      containers:
      - image: cr.yandex/crp3ccidau046kdj8g9q/stamp-verification-frontend:df166f698f2812f1db1e989305db936df88da09e
        imagePullPolicy: Always
        name: stamp-verification-frontend
        ports:
        - containerPort: 8080
          protocol: TCP
        resources: {}
        terminationMessagePath: /dev/termination-log
        terminationMessagePolicy: File
      dnsPolicy: ClusterFirst
      imagePullSecrets:
      - name: dockerhub
      nodeSelector:
        name: generic
      restartPolicy: Always
      schedulerName: default-scheduler
      securityContext: {}
      terminationGracePeriodSeconds: 30
---
apiVersion: v1
kind: Service
metadata:
  name: stamp-verification-frontend-service
  namespace: documentations
spec:
  ports:
  - port: 8080
    protocol: TCP
    targetPort: 8080
  selector:
    app: stamp-verification
  sessionAffinity: None
  type: ClusterIP
